curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/counterparts/{counterpart_id}/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data @- <<EOF
{
"address": {
"city": "New York",
"country": "US",
"line1": "456 Fifth Avenue",
"postal_code": "10001",
"line2": "<string>",
"state": "<string>"
},
"email": "contact@example.org",
"first_name": "Mary",
"last_name": "O'Brien",
"phone": "5551235476",
"title": "Ms."
}
EOF{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": {
"city": "New York",
"country": "US",
"line1": "456 Fifth Avenue",
"postal_code": "10001",
"line2": "<string>",
"state": "<string>"
},
"counterpart_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "Mary",
"is_default": true,
"last_name": "O'Brien",
"email": "contact@example.org",
"phone": "5551235476",
"title": "Ms."
}curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/counterparts/{counterpart_id}/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data @- <<EOF
{
"address": {
"city": "New York",
"country": "US",
"line1": "456 Fifth Avenue",
"postal_code": "10001",
"line2": "<string>",
"state": "<string>"
},
"email": "contact@example.org",
"first_name": "Mary",
"last_name": "O'Brien",
"phone": "5551235476",
"title": "Ms."
}
EOF{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": {
"city": "New York",
"country": "US",
"line1": "456 Fifth Avenue",
"postal_code": "10001",
"line2": "<string>",
"state": "<string>"
},
"counterpart_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "Mary",
"is_default": true,
"last_name": "O'Brien",
"email": "contact@example.org",
"phone": "5551235476",
"title": "Ms."
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
The contact person for an organization.
The address of a contact person.
Show child attributes
The email address of a contact person.
"contact@example.org"
The first name of a contact person.
100"Mary"
The last name of a contact person.
100"O'Brien"
The phone number of a contact person
100"5551235476"
The title or honorific of a contact person. Examples: Mr., Ms., Dr., Prof.
100"Ms."
Successful Response
The contact person for an organization.
The address of a contact person.
Show child attributes
The first name of a contact person.
100"Mary"
The last name of a contact person.
100"O'Brien"
The email address of a contact person.
"contact@example.org"
The phone number of a contact person
100"5551235476"
The title or honorific of a contact person. Examples: Mr., Ms., Dr., Prof.
100"Ms."
Was this page helpful?